//=============================================================================
// DamTypeSwordHeadShot
// $Id: DamTypeSwordHeadShot.uc,v 1.2 2003/05/09 00:40:45 gasman Exp $
//=============================================================================
class DamTypeSwordHeadShot extends WeaponDamageType
	abstract;

var class<LocalMessage> KillerMessage;
var sound HeadHunter;

static function IncrementKills(Controller Killer)
{
	local xPlayerReplicationInfo xPRI;

	if ( PlayerController(Killer) == None )
		return;

	PlayerController(Killer).ReceiveLocalizedMessage( Default.KillerMessage, 0, Killer.PlayerReplicationInfo, None, None );
	xPRI = xPlayerReplicationInfo(Killer.PlayerReplicationInfo);
	if ( xPRI != None )
	{
		xPRI.headcount++;
		if ( (xPRI.headcount == 15) && (UnrealPlayer(Killer) != None) )
			UnrealPlayer(Killer).ClientDelayedAnnouncement(Default.HeadHunter,15);
	}
}

static function GetHitEffects(out class<xEmitter> HitEffects[4], int VictemHealth )
{
    HitEffects[0] = class's_Spurt';
}

defaultproperties
{
     KillerMessage=XGame.SpecialKillMessage
     Headhunter=Sound'AnnouncerMain.Headhunter'
     WeaponClass=grabin.sword
     DeathString="%o was sliced facially by %k's Sword."
     FemaleSuicide="%o HAHA DOUCHE!"
     MaleSuicide="%o HAHA DOUCHE!"
     bAlwaysSevers=True
     bSpecial=True
     bCauseConvulsions=True
     DamageOverlayTime=1.000000
     KDeathUpKick=0.200000
}
