Class grabinMut extends Mutator HideDropDown CacheExempt config;

var bool bFindPlayer; //if interaction isnt added player must be found

//Add interaction on CLIENTS as well as server
simulated function PostBeginPlay()
{
	local Player P;
	
	if (Level.NetMode != NM_DedicatedServer)
    	{
       	 	if (GetLocalPlayerController() == None)
        	{
           		bFindPlayer = True;
            		return;
        	}
        	P = GetLocalPlayerController().Player;  // get the current player
        	P.InteractionMaster.AddInteraction("grabin.gestureInter",P);
    	}
}

// saftey check to ensure we DID load the interaction client side
simulated function Tick(float DeltaTime)
{
    local Player P;

    if (bFindPlayer)
    {
        if (GetLocalPlayerController() == None) return;
        P = GetLocalPlayerController().Player;
        P.InteractionMaster.AddInteraction("grabin.gestureInter", P);
        bFindPlayer = False;
        Disable('Tick');
    }
}

simulated function PlayerController GetLocalPlayerController()
{
    local PlayerController PC;

    if ( Level.NetMode == NM_DedicatedServer )
        return None;

    foreach DynamicActors(class'PlayerController', PC)
        if ( Viewport(PC.Player) != None )
            return PC;

    return None;
}

//Remove Items
function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{	
	//kill pickup bases
	if ( Other.isA('xPickupBase') )
	{
		Other.bHidden = true;
		if (xPickupBase(Other).myEmitter != None)
			xPickupBase(Other).myEmitter.Destroy();
	}
	
	//kill all placeable items in level. we don't need them
	if ( Other.IsA('Pickup') )
	{
		if ( Other.bStatic || Other.bNoDelete )
			Other.GotoState('Disabled');
  	        return false;
	}
        //Keep the Standard Weapons out
	else if ( Other.isA('Weapon') )
	{
		if ( Other.isA('TransLauncher') ) 
		     return false;
		if ( Other.isA('AssaultRifle') ) 
		     return false;
		if ( Other.isA('ShieldGun') ) 
		     return false;
		
	}
	
	bSuperRelevant = 0;
	return true;
}

function ModifyPlayer(Pawn Other)
{
	Level.Game.bAllowBehindView = false;	//makes sure behindview is ok
	Other.GiveWeapon("grabin.sword");
	if (Other.Controller.isA('grabinController'))	//no bot gestures yet
	{
		Other.GiveWeapon("grabin.grabinGestureGun");
		grabinPawn(Other).GiveGesture("grabin.gestureInventory");
	}
}

defaultproperties
{
     FriendlyName="Grabin Game Mutator"
     Description="Grabin it in the banus"
     bAlwaysRelevant=True
     bOnlyDirtyReplication=False
     RemoteRole=ROLE_SimulatedProxy
}
